import FactoryX.*;
import org.omg.CosNaming.*;

import org.omg.CORBA.*;
import java.io.*;

class FactoryClient {

  public static void main(String args[]) throws IOException {
    try

    { // Initialize the ORB

      System.out.println("Initializing the ORB");

      ORB orb = ORB.init(args, null);



      // Get a reference to the Naming service

      org.omg.CORBA.Object nameServiceObj = 

                 orb.resolve_initial_references ("NameService");

      NamingContext nameService = 

                 NamingContextHelper.narrow (nameServiceObj);


      // resolve the NbrFact object in the Naming service

      NameComponent[] factName = {new NameComponent("factName", "")};

      NbrFact fact= 

        NbrFactHelper.narrow(nameService.resolve(factName));



      // generate numbers

      BufferedReader stdin = new BufferedReader(new InputStreamReader (System.in));
      String line;
      int i;

      System.out.println("Number 1 =");
      line = stdin.readLine();
      i = Integer.parseInt(line);
      Nbr number1 = fact.createNbr(i);

      System.out.println("Number 2 =");
      line = stdin.readLine();
      i = Integer.parseInt(line);
      Nbr number2 = fact.createNbr(i);

      // use numbers
      System.out.println("number1 ++ = " + number1.increment()); 
      System.out.println("number2 ++ = " + number2.increment());

      // destroy numbers
      number1.kill();
      System.out.println("number1 killed"); 
 
      number2.kill();
      System.out.println("number2 killed");
    }
    catch(Exception e) {
         System.out.println("ERROR : " + e) ;
         e.printStackTrace(System.out);
    }

  }


}

