
import org.omg.CosNaming.*;

import org.omg.CosNaming.NamingContextPackage.*;
import org.omg.CORBA.*;

class FactoryServer {

  static public void main(String[] args){
    try  {
      // Initialize the ORB

      ORB orb = ORB.init(args, null);



      // Get a reference to the Naming service 
      org.omg.CORBA.Object nameServiceObj =  
                 orb.resolve_initial_references ("NameService"); 
      NamingContext nameService =  
                NamingContextHelper.narrow (nameServiceObj); 

      // create servant and register it with the ORB
      NbrFactImpl fact = new NbrFactImpl(orb);

      orb.connect(fact);



      // bind the Factory object in the Naming service

      NameComponent[] factName = {new NameComponent("factName", "")};

      nameService.rebind(factName, fact);



      // wait forever for current thread to die

      Thread.currentThread().join();

    }
    catch(Exception e) {
      System.err.println("ERROR: " + e);
      e.printStackTrace(System.out);
    }

  }


}

